> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onera.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Us Search



## OpenAPI

````yaml /openapi.json post /us/search
openapi: 3.1.0
info:
  title: Corpus API
  description: >-
    Point-in-time financial and governed-document data for the US, India, and
    China.
  version: '2026-07-20'
servers:
  - url: https://corpus-api.onera.app
    description: Production
security: []
paths:
  /us/search:
    post:
      tags:
        - US · Search
      summary: Us Search
      operationId: us_search_us_search_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/USSearchRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/USSearchResponse'
        '400':
          description: Invalid parameter combination
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Insufficient jurisdiction or scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Unknown resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request schema validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Source content is unavailable or still processing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - X-API-KEY: []
components:
  schemas:
    USSearchRequest:
      properties:
        query:
          type: string
          maxLength: 1000
          minLength: 1
          title: Query
        limit:
          type: integer
          maximum: 100
          minimum: 1
          title: Limit
          default: 20
        offset:
          type: integer
          minimum: 0
          title: Offset
          default: 0
        as_of:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: As Of
        filters:
          $ref: '#/components/schemas/USSearchFilters'
      type: object
      required:
        - query
      title: USSearchRequest
    USSearchResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/USSearchResult'
          type: array
          title: Results
        meta:
          $ref: '#/components/schemas/Meta'
      type: object
      required:
        - results
        - meta
      title: USSearchResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      type: object
      required:
        - error
        - message
      title: ErrorResponse
    USSearchFilters:
      properties:
        ticker:
          anyOf:
            - type: string
            - type: 'null'
          title: Ticker
        filing_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Filing Type
      additionalProperties: false
      type: object
      title: USSearchFilters
    USSearchResult:
      properties:
        accession_number:
          type: string
          title: Accession Number
        ticker:
          anyOf:
            - type: string
            - type: 'null'
          title: Ticker
        cik:
          anyOf:
            - type: string
            - type: 'null'
          title: Cik
        filing_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Filing Type
        item_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Item Number
        item_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Item Name
        snippet:
          anyOf:
            - type: string
            - type: 'null'
          title: Snippet
        source_offsets:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Source Offsets
      type: object
      required:
        - accession_number
      title: USSearchResult
    Meta:
      properties:
        jurisdiction:
          anyOf:
            - type: string
              enum:
                - US
                - IN
                - CN
            - type: 'null'
          title: Jurisdiction
        count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Count
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Offset
        next_offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Offset
        as_of:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: As Of
        normalization_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Normalization Version
        provenance:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Provenance
      type: object
      title: Meta
  securitySchemes:
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Provisioned Corpus API key with the required jurisdiction and operation
        scopes.

````